PhylogenyComboBox (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client.filters

## Class PhylogenyComboBox

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.gwtext.client.widgets.Component
      - - com.gwtext.client.widgets.BoxComponent
        - - com.gwtext.client.widgets.form.Field
          - - com.gwtext.client.widgets.form.TextField
            - - com.gwtext.client.widgets.form.ComboBox
              - - org.gcube.application.aquamaps.aquamapsportlet.client.filters.PhylogenyComboBox

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, com.gwtext.client.widgets.Observable

      public class PhylogenyComboBox
      extends com.gwtext.client.widgets.form.ComboBox

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.gwtext.client.widgets.form.ComboBox

      `com.gwtext.client.widgets.form.ComboBox.Mode, com.gwtext.client.widgets.form.ComboBox.Trigger`

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.gwtext.client.widgets.form.ComboBox

      `ALL, LOCAL, QUERY, REMOTE`

    - ### Fields inherited from class com.gwtext.client.widgets.Component

      `config, id`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhylogenyComboBox(String level, String label, com.gwtext.client.data.RecordDef recordDefinition)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `linkToComboBox(PhylogenyComboBox toLink)`
    `void` | `loadRemoteData()`
    `void` | `setFilter(String level, String value)`

    - ### Methods inherited from class com.gwtext.client.widgets.form.ComboBox

      `addListener, clearValue, collapse, create, doQuery, expand, getConfigPrototype, getElement, getMinHeight, getStore, getValue, getXType, isExpanded, onDestroy, select, selectByValue, setAllQuery, setDisplayField, setEditable, setForceSelection, setHandleHeight, setHiddenName, setHideTrigger, setItemSelector, setLazyRender, setLinked, setListAlign, setListClass, setListWidth, setLoadingText, setMaxHeight, setMinChars, setMinHeight, setMinListWidth, setMode, setPageSize, setQueryDelay, setQueryParam, setResizable, setSelectedClass, setShadow, setShadow, setStore, setTitle, setTpl, setTpl, setTriggerAction, setTriggerClass, setTypeAhead, setTypeAheadDelay, setValue, setValueField, setValueNotFoundText`

    - ### Methods inherited from class com.gwtext.client.widgets.form.TextField

      `addKeyListener, addKeyListener, addKeyListener, addKeyPressListener, addKeyPressListener, addListener, autoSize, getCaretPosition, getText, getValidator, insertAtCaret, selectText, selectText, setAllowBlank, setBlankText, setCaretPosition, setDisableKeyFilter, setEmptyClass, setEmptyText, setGrow, setGrowMax, setGrowMin, setMaskRe, setMaxLength, setMaxLengthText, setMinLength, setMinLengthText, setPassword, setRegex, setRegexText, setSelectOnFocus, setValidator, setVtype, setVtypeText, validateValue`

    - ### Methods inherited from class com.gwtext.client.widgets.form.Field

      `addListener, applyTo, applyTo, clearInvalid, getClearCls, getCls, getFieldLabel, getFocusClass, getInputType, getInvalidClass, getInvalidText, getLabelSeparator, getLabelStyle, getName, getRawValue, getTabindex, getValidationDelay, getValueAsString, hide, isAutoCreate, isDirty, isHideLabel, isReadOnly, isValid, isValid, isValidateOnBlur, markInvalid, reset, setAutoCreate, setAutoCreate, setClearCls, setCls, setDisabled, setFieldClass, setFieldLabel, setFieldMsgTarget, setFocusClass, setHideLabel, setInputType, setInvalidClass, setInvalidText, setLabel, setLabelSeparator, setLabelStyle, setMsgFx, setMsgTarget, setName, setRawValue, setReadOnly, setTabIndex, setValidateOnBlur, setValidationDelay, setValidationEvent, setValidationEvent, show, validate`

    - ### Methods inherited from class com.gwtext.client.widgets.BoxComponent

      `addListener, doOnRender, doOnRender, getAutoHeight, getAutoWidth, getBox, getBox, getHeight, getPosition, getPosition, getSize, getWidth, setAutoHeight, setAutoWidth, setHeight, setHeight, setPagePosition, setPosition, setSize, setSize, setWidth, setWidth, syncSize, updateBox`

    - ### Methods inherited from class com.gwtext.client.widgets.Component

      `addClass, addClassCreated, addEvent, addEvents, addListener, addListener, addListener, addPlugin, addStyleDependentName, addStyleName, afterRender, beforeDestroy, check, checkExtVer, cloneComponent, cloneComponent, cloneConfig, destroy, disable, enable, equals, error, findParentBy, findParentByType, fireEvent, focus, focus, focus, focus, getApplyTo, getAttribute, getAttributeAsBoolean, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAutoShow, getComponentJS, getConfig, getConfigAsString, getCtCls, getDisabledClass, getEl, getElement, getElement, getHideMode, getHideParent, getId, getItemId, getJsObj, getOffsetHeight, getOffsetWidth, getOrCreateJsObj, getOwnerContainer, getRenderTo, getStateEvents, getStateId, getTitle, getXTypes, hashCode, initComponent, isCreated, isDisabled, isHidden, isRendered, isVisible, isXType, isXType, purgeListeners, removeClass, removeStyleDependentName, removeStyleName, render, render, render, render, render, render, resumeEvents, setApplyTo, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoEl, setAutoEl, setAutoShow, setCtCls, setDisabledClass, setEl, setEl, setElement, setHideMode, setHideParent, setId, setRenderTo, setRenderToID, setStateEvents, setStateId, setStyle, setStyle, setStyleName, setStylePrimaryName, setVisible, suspendEvents, toString`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, resolvePotentialElement, setElement, setPixelSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setVisible, sinkBitlessEvent, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PhylogenyComboBox

          public PhylogenyComboBox(String level,
                           String label,
                           com.gwtext.client.data.RecordDef recordDefinition)

  - ### Method Detail

    - #### setFilter

          public void setFilter(String level,
                       String value)

    - #### linkToComboBox

          public void linkToComboBox(PhylogenyComboBox toLink)

    - #### loadRemoteData

          public void loadRemoteData()

Copyright © 2014. All Rights Reserved.